
#ifndef LIBREDASM_EXPORT_H
#define LIBREDASM_EXPORT_H

#ifdef LIBREDASM_STATIC_DEFINE
#  define LIBREDASM_EXPORT
#  define LIBREDASM_NO_EXPORT
#else
#  ifndef LIBREDASM_EXPORT
#    ifdef LibREDasm_EXPORTS
        /* We are building this library */
#      define LIBREDASM_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIBREDASM_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIBREDASM_NO_EXPORT
#    define LIBREDASM_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIBREDASM_DEPRECATED
#  define LIBREDASM_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIBREDASM_DEPRECATED_EXPORT
#  define LIBREDASM_DEPRECATED_EXPORT LIBREDASM_EXPORT LIBREDASM_DEPRECATED
#endif

#ifndef LIBREDASM_DEPRECATED_NO_EXPORT
#  define LIBREDASM_DEPRECATED_NO_EXPORT LIBREDASM_NO_EXPORT LIBREDASM_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIBREDASM_NO_DEPRECATED
#    define LIBREDASM_NO_DEPRECATED
#  endif
#endif

#endif /* LIBREDASM_EXPORT_H */
